org.eclipse.ease.lang.python.py4j.internal

## Interface IPythonSideEngine

    public interface IPythonSideEngine

Main entry point for Py4J on Python side.

### Method Summary

All Methods Instance Methods Abstract Methods
`IInteractiveReturn` `executeInteractive(java.lang.String codeText)` Execute a block of code on the target as an interactive line.
`IInteractiveReturn` `executeScript(java.lang.String codeText, java.lang.String filename)` Execute a block of code on the target as a script.
`java.lang.Object` `internalGetVariable(java.lang.String name)`
`java.util.Map<java.lang.String,java.lang.Object>` `internalGetVariables()`
`boolean` `internalHasVariable(java.lang.String name)`
`void` `internalSetVariable(java.lang.String name, java.lang.Object content)`
`void` `teardownEngine()` Tear down the Python side of the engine

### Method Detail

#### executeScript

    IInteractiveReturn executeScript(java.lang.String codeText,
                                     java.lang.String filename)
                              throws java.lang.Throwable

Execute a block of code on the target as a script.

Throws:
  `java.lang.Throwable`

#### executeInteractive

    IInteractiveReturn executeInteractive(java.lang.String codeText)
                                   throws java.lang.Throwable

Execute a block of code on the target as an interactive line.

Throws:
  `java.lang.Throwable`

#### internalGetVariable

    java.lang.Object internalGetVariable(java.lang.String name)

See Also:
  `AbstractScriptEngine.internalGetVariable(String)`

#### internalGetVariables

    java.util.Map<java.lang.String,java.lang.Object> internalGetVariables()

See Also:
  `AbstractScriptEngine.internalGetVariables()`

#### internalHasVariable

    boolean internalHasVariable(java.lang.String name)

See Also:
  `AbstractScriptEngine.internalHasVariable(String)`

#### internalSetVariable

    void internalSetVariable(java.lang.String name,
                             java.lang.Object content)

See Also:
  `AbstractScriptEngine.internalSetVariable(String, Object)`

#### teardownEngine

    void teardownEngine()

Tear down the Python side of the engine